NaCl(1)

NAME
CurveCP — Message-handling programs

SYNOPSIS

curvecpmakekey [keydir]

DESCRIPTION

This manual page documents briefly the CurveCP commands.

A traditional UNIX-style server such as ftpd handles just one network connection, reading input from stdin and writing output to stdout. A "superserver" such as inetd or tcpserver listens for network connections and starts a separate server process for each connection.

curvecpmakekey creates keys needed for curvecpclient can use programs other than curvecpserver.

OPTIONS

How to use curvecpmakekey:

keydir
    a directory where CurveCP keys are going to be created. The direcoty must not exists before keys creation.

SEE ALSO

curvecpserver (1), curvecpclient (1), curvecpprintkey (1), inetd (8), tcpserver (1).

AUTHOR

This manual page was written by Sergiusz Pawlowicz debian@pawlowicz.name for the Debian system (and may be used by others). The source of this page is a webpage https://curvecp.org/ . Permission is granted to copy, distribute and/or modify this document under public domain.

This manual page was rewritten for the Debian distribution because the original program does not have a manual page.